Bug 1490331 - FreeIPA/IdM installations which were upgraded from versions with 389 DS prior to 1.3.3.0 doesn't have whomai plugin enabled and thus startup of Web UI fails [rhel-7.4.z]
Summary: FreeIPA/IdM installations which were upgraded from versions with 389 DS prior...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: IPA Maintainers
QA Contact: ipa-qe
URL:
Whiteboard:
Depends On: 1484826
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-11 11:22 UTC by Oneata Mircea Teodor
Modified: 2017-10-19 15:12 UTC (History)
14 users (show)

Fixed In Version: ipa-4.5.0-21.el7.2
Doc Type: If docs needed, set a value
Doc Text:
Previously, when gradually upgrading from Red Hat Enterprise Linux 7.0 to 7.4 version with the IdM installed, the IdM web user interface (WebUI) failed. To fix this bug, the IdM updater has been changed to automatically add the Directory Server (DS) whoami plug-in in case it is missing. As a result, the WebUI now works as expected.
Clone Of: 1484826
Environment:
Last Closed: 2017-10-19 15:12:49 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2935 normal SHIPPED_LIVE ipa bug fix update 2017-10-19 18:49:19 UTC

Description Oneata Mircea Teodor 2017-09-11 11:22:55 UTC
This bug has been copied from bug #1484826 and has been proposed to be backported to 7.4 z-stream (EUS).

Comment 2 Petr Vobornik 2017-09-11 17:05:15 UTC
master:
    45bd31b Adds whoami DS plugin in case that plugin is missing
ipa-4-5:
    736a472 Adds whoami DS plugin in case that plugin is missing
ipa-4-6:
    59ef33d Adds whoami DS plugin in case that plugin is missing

Comment 12 Nikhil Dehadrai 2017-09-28 04:58:50 UTC
IPA-server-version:ipa-4.5.0-21.el7_4.2.2

Verified the bug on the basis of following observations:
1) Verified that IPA-upgrade is successful using linear upgrade path from RHEL 70z > 71z > 72z > 73z > 74update2.

2) Also verified that IP servers upgraded from versions with 389 DS prior to 1.3.3.0 doesn't have whomai plugin enabled, are upgraded successfully.

After upgrade:
ldapsearch -xLLL -D 'cn=Directory Manager' -w 'Secret123' -b 'cn=whoami,cn=plugins,cn=config'
dn: cn=whoami,cn=plugins,cn=config
cn: whoami
nsslapd-plugin-depends-on-type: database
nsslapd-pluginDescription: whoami extended operation plugin
nsslapd-pluginEnabled: on
nsslapd-pluginId: whoami-plugin
nsslapd-pluginInitfunc: whoami_init
nsslapd-pluginPath: libwhoami-plugin
nsslapd-pluginType: extendedop
nsslapd-pluginVendor: 389 Project
nsslapd-pluginVersion: 1.3.6.1
objectClass: top
objectClass: nsSlapdPlugin
objectClass: extensibleObject


3) Verified the upgrade for following Direct paths:
-7.4 update1 > 7.4 update2
-7.4 0-day > 7.4update2
-7.3.z > 7.4update2
-7.2.z > 7.4update2
-7.1.z > 7.4update2
-7.0 > 7.4update2 (FAILS-Known issue BZ1482776)

4) Verified that IPA UI login works after upgrade path in step1 and step3.

Thus on the basis of above observations and comments#4, comments#8, comments#9, comments#10 and comments#11.

Marking the status of bug to "VERIFIED".

Comment 19 errata-xmlrpc 2017-10-19 15:12:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2935


Note You need to log in before you can comment on or make changes to this bug.